-<?xml version="1.0" encoding="UTF-8"?>
-<!--
-* $Id$
-*
-* Copyright 2009 Randy McEoin
-*
-* Licensed under the Apache License, Version 2.0 (the "License");
-* you may not use this file except in compliance with the License.
-* You may obtain a copy of the License at
-*
-* http://www.apache.org/licenses/LICENSE-2.0
-*
-* Unless required by applicable law or agreed to in writing, software
-* distributed under the License is distributed on an "AS IS" BASIS,
-* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-* See the License for the specific language governing permissions and
-* limitations under the License.
-*
--->
-<resources>
-
- <string-array name="pref_entries_lock_timeout">
- <item>1 minute</item>
- <item>5 minutes</item>
- <item>30 minutes</item>
- </string-array>
-
- <!-- couldn't seem to get int-array to work, which would be better -->
- <string-array name="pref_entryvalues_lock_timeout">
- <item>1</item>
- <item>5</item>
- <item>30</item>
- </string-array>
-
-</resources>
+<?xml version="1.0" encoding="utf-8"?><resources/>\r
+\r
+ <!-- NOTICE: \r
+ \r
+ * There are no arrays in here.\r
+ \r
+ * All arrays have been moved either to strings.xml\r
+ (if they should be translated)\r
+ \r
+ * Or to strings_not_for_translation.xml\r
+ (if they should not be translated)\r
+ \r
+ -->\r
\ No newline at end of file
<!-- \r
* $Id$\r
* \r
-* Copyright 2007 Steven Osborn\r
+* Copyright 2007-2009 OpenIntents.org\r
*\r
* Licensed under the Apache License, Version 2.0 (the "License");\r
* you may not use this file except in compliance with the License.\r
*\r
-->\r
-<resources>
+<resources>\r
+ <!-- ***************************\r
+ About information\r
+ *************************** -->\r
+ \r
+ <!-- Automatically filled in by Launchpad: -->\r
+ <string name="about_translators">translator-credits</string>\r
+ \r
+ <!-- Strings for OI About -->\r
+ <string name="about_comments">OI Safe keeps all your private data encrypted.</string> \r
+ <string name="about_website_label">OI Safe at OpenIntents</string> \r
+ \r
+ <!-- ***************************\r
+ Applicatio-specific strings\r
+ *************************** -->
<string name="app_name">OI Safe</string>\r
- <string name="authors">Steven Osborn, Randy McEoin</string>\r
<string name="empty_safe">No Passwords present for this category.</string>\r
<string name="empty_category">No categories present. Please add one via Menu->Add</string>\r
<string name="password_lock">Lock</string>\r
<string name="cannot_decrypt_password">Cannot decrypt password</string>
<string name="error_export">Error exporting database</string>\r
<string name="export_database">Export Database</string>
- <string name="export_success">Export to '</string>\r
- <string name="export_success2">' successful. Warning! The file is not encrypted.</string>
- <string name="export_file_error">Unable to create export file 'passwordsafe.csv' on SDCARD. You might try disconnecting USB from computer.</string>
+ <string name="export_success">Export to '%s' successful. Warning! The file is not encrypted.</string>\r
+ <string name="export_file_error">Unable to create export file 'oisafe.csv' on SDCARD. You might try disconnecting USB from computer.</string>
<string name="import_database">Import Database</string>\r
<string name="import_file_missing">Import file is missing:</string>\r
- <string name="import_file_error">Unable to import file 'passwordsafe.csv' from SDCARD. You might try disconnecting USB from computer.</string>\r
+ <string name="import_file_error">Unable to import file 'oisafe.csv' from SDCARD. You might try disconnecting USB from computer.</string>\r
<string name="import_error_first_line">First line is missing fields.</string>\r
<string name="dialog_import_title">Import</string>\r
<string name="dialog_import_msg">Do you want to replace the database (import from %s)?</string>\r
<string name="restore_decrypt_error">Bad password.</string>\r
<string name="dialog_restore_database_title">Restore Database</string>\r
<string name="dialog_restore_database_msg">Are you sure you want to replace the current data?</string>\r
- <string name="restore_found">Found</string>\r
- <string name="restore_passwords">passwords from backup dated </string>\r
- <string name="restore_complete">Complete. Passwords restored: </string>\r
+ <string name="restore_found">Found %s passwords from backup dated %s.</string>\r
+ <string name="restore_complete">Complete. Passwords restored: %s</string>\r
<string name="copy_to_clipboard">Copying Password to Clipboard</string>\r
<string name="invalid_website">Invalid website</string>\r
<string name="open">Open</string>\r
<string name="move">Move</string>\r
<string name="move_select">Select Category</string>\r
<string name="moved_to">Moved to</string>\r
- <string name="preferences">Preferences</string>\r
+ <string name="preferences">Settings</string>\r
<string name="pref_title_external_access">Allow external access</string>\r
<string name="pref_summary_external_access">Allow other applications to secure your data with OI Safe</string>\r
<string name="dialog_title_external_access">OI Safe: Another application requests access.</string>\r
<string name="dialog_title_first_time_warning">New master key</string>\r
<string name="dialog_summary_first_time_warning">A new random master key has been created. Use menu > backup and store this key in a safe place. Without this key you may lose encrypted data.</string>\r
<string name="switch_mode">Switch mode</string>\r
+ \r
+ \r
+ <!-- ***************************\r
+ Distribution\r
+ *************************** -->\r
+ \r
+ <!-- EULA -->\r
+ <string name="eula_title">OI Safe EULA</string>\r
+ <string name="eula_accept">Accept</string>\r
+ <string name="eula_refuse">Cancel</string>\r
+ \r
+ <!-- Update -->\r
+ <string name="update_box_text">Please check manually for updates or install OI Update\r
+for automatic notifications.\r
+Current version: %s\r
+ </string>\r
+ <string name="update_check_now">Check now.</string>\r
+ <string name="update_get_updater">Get OI Updater.</string>\r
+ <string name="update_error">Download application not available.</string>\r
+ <string name="update">Check updates</string>\r
+ \r
+ <!-- About -->\r
+ <string name="about">About</string>\r
+ <string name="aboutapp_not_available">Version %s\n\nNo compatible extension available to display full info (contact, credits, license).</string>\r
+ <string name="aboutapp_get">Get OI About</string>\r
+ \r
+ <!-- File Manager -->\r
+ <string name="filemanager_not_available">No compatible file manager is available.</string>\r
+ <string name="filemanager_get_oi_filemanager">Get OI File Manager</string>\r
+\r
+ \r
+ <!-- ***************************\r
+ Permissions\r
+ *************************** -->\r
+\r
+ <!-- OI Safe -->\r
+ <string name="oi_safe_permission_service">access the master password</string>\r
+ <string name="oi_safe_permission_service_descr">Allows the application to access the master key used for encryption and decryption. Should never be used except by OI Safe.</string> \r
+ <string name="oi_safe_permission_intents">access stored password</string>\r
+ <string name="oi_safe_permission_intents_descr">Allows the application to encrypt and decrypt text, and access the passwords they have stored in OI Safe.</string> \r
+\r
+ <!-- ***************************\r
+ Preferences\r
+ *************************** -->\r
+\r
+ <string-array name="pref_entries_lock_timeout">\r
+ <item>1 minute</item>\r
+ <item>5 minutes</item>\r
+ <item>30 minutes</item> \r
+ </string-array>\r
+\r
+ \r
</resources>
+++ /dev/null
-<?xml version="1.0" encoding="utf-8"?>
-<!-- \r
- * Copyright (C) 2007-2008 OpenIntents.org\r
- *\r
- * Licensed under the Apache License, Version 2.0 (the "License");\r
- * you may not use this file except in compliance with the License.\r
- * You may obtain a copy of the License at\r
- *\r
- * http://www.apache.org/licenses/LICENSE-2.0\r
- *\r
- * Unless required by applicable law or agreed to in writing, software\r
- * distributed under the License is distributed on an "AS IS" BASIS,\r
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
- * See the License for the specific language governing permissions and\r
- * limitations under the License.\r
- -->\r
-<resources>\r
-\r
- <!-- Strings for OI About -->\r
- <string name="about_comments">OI Safe keeps all your private data encrypted.</string> \r
- <string name="about_copyright">Copyright © 2008-2009 OpenIntents.org</string> \r
- <string name="about_website_label">OI Safe at OpenIntents</string> \r
- <string name="about_website_url">http://www.openintents.org/en/node/205</string>\r
- <string name="about_email">support@openintents.org</string>\r
- \r
- <string-array name="about_authors"><!-- Add your name here if you helped out -->\r
- <item>Steven Osborn - http://steven.bitsetters.com</item>\r
- <item>Randy McEoin</item>\r
- <item>Isaac Potoczny-Jones - http://www.syntaxpolice.org</item>\r
- <item>Peli</item>\r
- </string-array>\r
- \r
- <string-array name="about_documenters"><!-- Add your name here if you helped out -->\r
- <!-- <item></item> -->\r
- </string-array>\r
- \r
- <string-array name="about_translators"><!-- Add your name here if you helped out, but only in the arrays.xml for the localization that you helped to translate into! -->\r
- <!-- <item></item> -->\r
- </string-array>\r
- \r
- <string-array name="about_artists"><!-- Add your name here if you helped out -->\r
- <item>David Vignoni - http://www.icon-king.com</item>\r
- <item>Peli</item>\r
- </string-array>
-</resources>
+++ /dev/null
-<?xml version="1.0" encoding="utf-8"?>
-<!-- \r
- * Copyright (C) 2007-2008 OpenIntents.org\r
- *\r
- * Licensed under the Apache License, Version 2.0 (the "License");\r
- * you may not use this file except in compliance with the License.\r
- * You may obtain a copy of the License at\r
- *\r
- * http://www.apache.org/licenses/LICENSE-2.0\r
- *\r
- * Unless required by applicable law or agreed to in writing, software\r
- * distributed under the License is distributed on an "AS IS" BASIS,\r
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
- * See the License for the specific language governing permissions and\r
- * limitations under the License.\r
- -->\r
-<resources>\r
- \r
- <!-- EULA -->\r
- <string name="eula_title">OI Safe EULA</string>\r
- <string name="eula_accept">Accept</string>\r
- <string name="eula_refuse">Cancel</string>\r
- \r
- <!-- Update -->\r
- <string name="update_box_text">Please check manually for updates or install OI Update\r
-for automatic notifications.\r
-Current version: %s\r
- </string>\r
- <string name="update_check_now">Check now.</string>\r
- <string name="update_get_updater">Get OI Updater.</string>\r
- <string name="update_app_url">market://search?q=pname:org.openintents.safe</string>\r
- <string name="update_checker_url">market://search?q=pname:org.openintents.updatechecker</string>\r
- <string name="update_error">Download application not available.</string>\r
- <string name="update">Check updates</string>\r
- \r
- <!-- About -->\r
- <string name="about">About</string>\r
- <string name="aboutapp_not_available">Version %s\n\nNo compatible extension available to display full info (contact, credits, license).</string>\r
- <string name="aboutapp_get">Get OI About</string>\r
- <string name="aboutapp_market_uri">market://search?q=pname:org.openintents.about</string>\r
- \r
- <!-- File Manager -->\r
- <string name="filemanager_not_available">No compatible file manager is available.</string>\r
- <string name="filemanager_get_oi_filemanager">Get OI File Manager</string>\r
- <string name="filemanager_market_uri">market://search?q=pname:org.openintents.filemanager</string>
-</resources>
--- /dev/null
+<?xml version="1.0" encoding="utf-8"?>\r
+<!-- \r
+* $Id: strings.xml 1940 2009-02-14 05:12:48Z rmceoin $\r
+* \r
+* Copyright 2007-2009 OpenIntents.org\r
+*\r
+* Licensed under the Apache License, Version 2.0 (the "License");\r
+* you may not use this file except in compliance with the License.\r
+* You may obtain a copy of the License at\r
+*\r
+* http://www.apache.org/licenses/LICENSE-2.0\r
+*\r
+* Unless required by applicable law or agreed to in writing, software\r
+* distributed under the License is distributed on an "AS IS" BASIS,\r
+* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+* See the License for the specific language governing permissions and\r
+* limitations under the License.\r
+*\r
+-->\r
+
+<resources>\r
+ <!-- ***************************\r
+ About information\r
+ *************************** -->\r
+ <string name="about_copyright">Copyright © 2008-2009 OpenIntents.org</string> \r
+ <string name="about_website_url">http://www.openintents.org/en/node/205</string>\r
+ <string name="about_email">support@openintents.org</string>\r
+\r
+ \r
+ <string-array name="about_authors"><!-- Add your name here if you helped out -->\r
+ <item>Steven Osborn - http://steven.bitsetters.com</item>\r
+ <item>Randy McEoin</item>\r
+ <item>Isaac Potoczny-Jones - http://www.syntaxpolice.org</item>\r
+ <item>Peli</item>\r
+ </string-array>\r
+ \r
+ <string-array name="about_documenters"><!-- Add your name here if you helped out -->\r
+ <!-- <item></item> -->\r
+ </string-array>\r
+ \r
+ <string-array name="about_translators"><!-- Add your name here if you helped out, but only in the arrays.xml for the localization that you helped to translate into! -->\r
+ <!-- <item></item> -->\r
+ </string-array>\r
+ \r
+ <string-array name="about_artists"><!-- Add your name here if you helped out -->\r
+ <item>David Vignoni - http://www.icon-king.com</item>\r
+ <item>Peli</item>\r
+ </string-array>\r
+\r
+ <!-- ***************************\r
+ Distribution\r
+ *************************** -->\r
+ <!-- Update -->\r
+ <string name="update_app_url">market://search?q=pname:org.openintents.safe</string>\r
+ <string name="update_checker_url">market://search?q=pname:org.openintents.updatechecker</string>\r
+\r
+ <!-- About -->\r
+ <string name="aboutapp_market_uri">market://search?q=pname:org.openintents.about</string>\r
+\r
+ <!-- File Manager -->\r
+ <string name="filemanager_market_uri">market://search?q=pname:org.openintents.filemanager</string>\r
+\r
+\r
+ <!-- ***************************\r
+ Preferences\r
+ *************************** -->\r
+\r
+ <!-- couldn't seem to get int-array to work, which would be better -->\r
+ <string-array name="pref_entryvalues_lock_timeout">\r
+ <item>1</item>\r
+ <item>5</item>\r
+ <item>30</item> \r
+ </string-array>\r
+ \r
+</resources>
+++ /dev/null
-<?xml version="1.0" encoding="utf-8"?>\r
-<!-- \r
- * Copyright (C) 2007-2009 OpenIntents.org\r
- *\r
- * Licensed under the Apache License, Version 2.0 (the "License");\r
- * you may not use this file except in compliance with the License.\r
- * You may obtain a copy of the License at\r
- *\r
- * http://www.apache.org/licenses/LICENSE-2.0\r
- *\r
- * Unless required by applicable law or agreed to in writing, software\r
- * distributed under the License is distributed on an "AS IS" BASIS,\r
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
- * See the License for the specific language governing permissions and\r
- * limitations under the License.\r
- -->\r
- \r
-<resources>\r
- <!-- OI Safe -->\r
- <string name="oi_safe_permission_service">access the master password</string>\r
- <string name="oi_safe_permission_service_descr">Allows the application to access the master key used for encryption and decryption. Should never be used except by OI Safe.</string> \r
- <string name="oi_safe_permission_intents">access stored password</string>\r
- <string name="oi_safe_permission_intents_descr">Allows the application to encrypt and decrypt text, and access the passwords they have stored in OI Safe.</string> \r
-</resources> \r
Toast.LENGTH_SHORT).show();
return false;
}
- String msg=getString(R.string.export_success)+filename+
- getString(R.string.export_success2);
+ String msg=getString(R.string.export_success, filename);
Toast.makeText(CategoryList.this, msg,
Toast.LENGTH_LONG).show();
return true;
dbHelper=new DBHelper(Restore.this);
- String msg=getString(R.string.restore_found)+" "+
- Integer.toString(restoreDataSet.getTotalEntries())+" "+
- getString(R.string.restore_passwords)+" "+
- restoreDataSet.getDate()+".\n"+
+ String msg=getString(R.string.restore_found,
+ Integer.toString(restoreDataSet.getTotalEntries()),
+ restoreDataSet.getDate())
+ +"\n"+
getString(R.string.dialog_restore_database_msg);
Dialog confirm = new AlertDialog.Builder(Restore.this)
.setIcon(android.R.drawable.ic_menu_manage)
dbHelper.commit();
dbHelper.close();
- Toast.makeText(Restore.this, getString(R.string.restore_complete)+
- " "+Integer.toString(totalPasswords),
+ Toast.makeText(Restore.this, getString(R.string.restore_complete,
+ Integer.toString(totalPasswords)),
Toast.LENGTH_LONG).show();
--- /dev/null
+#!/bin/bash
+#
+#Wrapper for xml2po for android and launchpad: Import .xml's from .po's, or export/update .po's from string.xml's. Run from the /res directory. Provide a string with value "translator-credits" for Launchpad.
+#Copyright 2009 by pjv. Licensed under GPLv3.
+
+#Set the languages here (long version is the android resource append string).
+short_lang=("es") #do not include template language ("en" usually).
+#="nl" "de" "fr" "ar" "es" "he" "hu" "id" "it" "pl" "pt_BR" "ru" "sv" "zh_CN"
+long_lang=("es") #do not include template language ("en" usually).
+# "nl" "de" "fr" "ar" "es" "he" "hu" "id" "it" "pl" "pt-rBR" "ru" "sv" "zh-rCN"
+#Change the dirs where the files are located. Dirs cannot have leading "."'s or msgmerge will complain.
+launchpad_po_files_dir="."
+launchpad_pot_file_dir="."
+android_xml_files_res_dir="../res/values"
+#Change the typical filenames.
+launchpad_po_filename="safe"
+android_xml_filename="strings"
+#Location of xml2po
+xml2po="xml2po"
+
+function import_po2xml
+{
+for (( i=0 ; i<${#short_lang[*]} ; i=i+1 )) ;
+do
+ echo "Importing .xml from .po for "${short_lang[i]}""
+ mkdir -p "${android_xml_files_res_dir}"-"${long_lang[i]}"
+ ${xml2po} -a -l "${short_lang[i]}" -p "${launchpad_po_files_dir}"/"${launchpad_po_filename}"-"${short_lang[i]}".po "${android_xml_files_res_dir}"/"${android_xml_filename}".xml > "${android_xml_files_res_dir}"-"${long_lang[i]}"/"${android_xml_filename}".xml
+done
+}
+
+function export_xml2po
+{
+echo "Exporting .xml to .pot"
+${xml2po} -a -l "${short_lang[i]}" -o "${launchpad_pot_file_dir}"/"${launchpad_po_filename}".pot "${android_xml_files_res_dir}"/"${android_xml_filename}".xml
+
+for (( i=0 ; i<${#short_lang[*]} ; i=i+1 )) ;
+do
+ if [ -e "${launchpad_po_files_dir}"/"${launchpad_po_filename}"-"${short_lang[i]}".po ] ; then
+ echo "Exporting .xml to updated .po for "${short_lang[i]}""
+ echo "Making temporary folder: .tmp."${launchpad_po_files_dir}""
+ mkdir -p .tmp."${launchpad_po_files_dir}"
+ if [ -e "${android_xml_files_res_dir}"-"${long_lang[i]}"/"${android_xml_filename}".xml ] ; then
+ ${xml2po} -a -u "${launchpad_po_files_dir}"/"${launchpad_po_filename}"-"${short_lang[i]}".po "${android_xml_files_res_dir}"/"${android_xml_filename}".xml
+ else
+ ${xml2po} -a -u "${launchpad_po_files_dir}"/"${launchpad_po_filename}"-"${short_lang[i]}".po "${android_xml_files_res_dir}"/"${android_xml_filename}".xml
+ fi
+ fi
+done
+}
+
+function usage
+{
+ echo "Wrapper for xml2po for android and launchpad."
+ echo "Usage: androidxml2po -i Import .xml's from .po's. Updates the .xml's."
+ echo " androidxml2po -e Export/update .po's from string.xml's. Overwrites the .pot and merges the .po's."
+ echo "Set variables correctly inside. Run from the /res directory. Provide a string with value "translator-credits" for Launchpad."
+ echo ""
+ echo "Copyright 2009 by pjv. Licensed under GPLv3."
+}
+
+###Main
+while [ "$1" != "" ]; do
+ case $1 in
+ -i | --po2xml | --import ) shift
+ import_po2xml
+ exit
+ ;;
+ -e | --xml2po | --export ) export_xml2po
+ exit
+ ;;
+ -h | --help ) usage
+ exit
+ ;;
+ * ) usage
+ exit 1
+ esac
+ shift
+done
+usage
--- /dev/null
+set PATH=.;c:\cygwin\bin;%PATH%\r
+bash androidxml2po.bash -i
\ No newline at end of file
--- /dev/null
+set PATH=.;c:\cygwin\bin;%PATH%\r
+bash androidxml2po.bash -e\r
+mkdir translations_safe\r
+copy safe* translations_safe\r
+tar -cvvzf translations_safe.tgz translations_safe
\ No newline at end of file
--- /dev/null
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2009-02-22 12:51+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Automatically filled in by Launchpad:
+#: ../res/values/strings.xml:27(string)
+msgid "translator-credits"
+msgstr ""
+
+#. Strings for OI About
+#: ../res/values/strings.xml:30(string)
+msgid "OI Safe keeps all your private data encrypted."
+msgstr ""
+
+#: ../res/values/strings.xml:31(string)
+msgid "OI Safe at OpenIntents"
+msgstr ""
+
+#. ***************************
+#. Applicatio-specific strings
+#. ***************************
+#: ../res/values/strings.xml:36(string)
+msgid "OI Safe"
+msgstr ""
+
+#: ../res/values/strings.xml:37(string)
+msgid "No Passwords present for this category."
+msgstr ""
+
+#: ../res/values/strings.xml:38(string)
+msgid "No categories present. Please add one via Menu->Add"
+msgstr ""
+
+#: ../res/values/strings.xml:39(string) ../res/values/strings.xml:153(string)
+msgid "Lock"
+msgstr ""
+
+#: ../res/values/strings.xml:40(string)
+msgid "View"
+msgstr ""
+
+#: ../res/values/strings.xml:41(string)
+msgid "Edit"
+msgstr ""
+
+#: ../res/values/strings.xml:42(string)
+msgid "Add"
+msgstr ""
+
+#: ../res/values/strings.xml:43(string)
+msgid "Delete"
+msgstr ""
+
+#: ../res/values/strings.xml:44(string)
+msgid "Password"
+msgstr ""
+
+#: ../res/values/strings.xml:45(string)
+msgid "Passwords"
+msgstr ""
+
+#: ../res/values/strings.xml:46(string)
+msgid "Master Password"
+msgstr ""
+
+#: ../res/values/strings.xml:47(string)
+msgid "Username"
+msgstr ""
+
+#: ../res/values/strings.xml:48(string)
+msgid "Website"
+msgstr ""
+
+#: ../res/values/strings.xml:49(string)
+msgid "Description"
+msgstr ""
+
+#: ../res/values/strings.xml:50(string)
+msgid "Notes"
+msgstr ""
+
+#: ../res/values/strings.xml:51(string)
+msgid "Save"
+msgstr ""
+
+#: ../res/values/strings.xml:52(string)
+msgid "Invalid password. Please try again."
+msgstr ""
+
+#: ../res/values/strings.xml:53(string)
+msgid "Password must be at least 4 characters"
+msgstr ""
+
+#: ../res/values/strings.xml:54(string)
+msgid "Description cannot be blank"
+msgstr ""
+
+#: ../res/values/strings.xml:55(string)
+msgid "Name cannot be blank"
+msgstr ""
+
+#: ../res/values/strings.xml:56(string)
+msgid "Please enter a password below, which will be used to keep your passwords safe."
+msgstr ""
+
+#: ../res/values/strings.xml:57(string)
+msgid "You are currently logged into OI Safe, meaning that other applications can request their passwords and decrypt/encrypt data. Lock to prevent further access until you type in your password again."
+msgstr ""
+
+#: ../res/values/strings.xml:58(string)
+msgid "Another application is asking to use the master key. Please type in your password to unlock it."
+msgstr ""
+
+#: ../res/values/strings.xml:59(string)
+msgid "Categories"
+msgstr ""
+
+#: ../res/values/strings.xml:60(string)
+msgid "Category"
+msgstr ""
+
+#: ../res/values/strings.xml:61(string)
+msgid "Business"
+msgstr ""
+
+#: ../res/values/strings.xml:62(string)
+msgid "Personal"
+msgstr ""
+
+#: ../res/values/strings.xml:63(string)
+msgid "Name"
+msgstr ""
+
+#: ../res/values/strings.xml:64(string)
+msgid "Category is not empty. You must delete the passwords first."
+msgstr ""
+
+#: ../res/values/strings.xml:65(string)
+msgid "Cannot decrypt category"
+msgstr ""
+
+#: ../res/values/strings.xml:66(string)
+msgid "Cannot decrypt password"
+msgstr ""
+
+#: ../res/values/strings.xml:67(string)
+msgid "Error exporting database"
+msgstr ""
+
+#: ../res/values/strings.xml:68(string)
+msgid "Export Database"
+msgstr ""
+
+#: ../res/values/strings.xml:69(string)
+msgid "Export to '%s' successful. Warning! The file is not encrypted."
+msgstr ""
+
+#: ../res/values/strings.xml:70(string)
+msgid "Unable to create export file 'oisafe.csv' on SDCARD. You might try disconnecting USB from computer."
+msgstr ""
+
+#: ../res/values/strings.xml:71(string)
+msgid "Import Database"
+msgstr ""
+
+#: ../res/values/strings.xml:72(string)
+msgid "Import file is missing:"
+msgstr ""
+
+#: ../res/values/strings.xml:73(string)
+msgid "Unable to import file 'oisafe.csv' from SDCARD. You might try disconnecting USB from computer."
+msgstr ""
+
+#: ../res/values/strings.xml:74(string)
+msgid "First line is missing fields."
+msgstr ""
+
+#: ../res/values/strings.xml:75(string)
+msgid "Import"
+msgstr ""
+
+#: ../res/values/strings.xml:76(string)
+msgid "Do you want to replace the database (import from %s)?"
+msgstr ""
+
+#: ../res/values/strings.xml:77(string)
+msgid "Yes"
+msgstr ""
+
+#: ../res/values/strings.xml:78(string)
+msgid "No"
+msgstr ""
+
+#: ../res/values/strings.xml:79(string)
+msgid "Please wait while importing..."
+msgstr ""
+
+#: ../res/values/strings.xml:80(string)
+msgid "No categories found."
+msgstr ""
+
+#: ../res/values/strings.xml:81(string)
+msgid "No entries found in CSV."
+msgstr ""
+
+#: ../res/values/strings.xml:82(string)
+msgid "Too many categories."
+msgstr ""
+
+#: ../res/values/strings.xml:83(string)
+msgid "Not enough fields"
+msgstr ""
+
+#: ../res/values/strings.xml:84(string)
+msgid "Blank category"
+msgstr ""
+
+#: ../res/values/strings.xml:85(string)
+msgid "Blank description"
+msgstr ""
+
+#: ../res/values/strings.xml:86(string)
+msgid "Delete Database"
+msgstr ""
+
+#: ../res/values/strings.xml:87(string)
+msgid "Are you really sure you want to delete the database? This cannot be undone."
+msgstr ""
+
+#: ../res/values/strings.xml:88(string)
+msgid "Added"
+msgstr ""
+
+#: ../res/values/strings.xml:89(string)
+msgid "entries"
+msgstr ""
+
+#: ../res/values/strings.xml:90(string)
+msgid "Import complete"
+msgstr ""
+
+#: ../res/values/strings.xml:91(string)
+msgid "Since it is not secure to keep passwords in clear text CSV files, would you like to delete"
+msgstr ""
+
+#: ../res/values/strings.xml:92(string)
+msgid "Edit Entry"
+msgstr ""
+
+#: ../res/values/strings.xml:93(string)
+msgid "View Entry"
+msgstr ""
+
+#: ../res/values/strings.xml:94(string)
+msgid "Help"
+msgstr ""
+
+#: ../res/values/strings.xml:95(string)
+msgid "Close"
+msgstr ""
+
+#: ../res/values/strings.xml:96(string)
+msgid "Go"
+msgstr ""
+
+#: ../res/values/strings.xml:97(string)
+msgid "Delete Password"
+msgstr ""
+
+#: ../res/values/strings.xml:98(string)
+msgid "Are you sure you want to delete this password?"
+msgstr ""
+
+#: ../res/values/strings.xml:99(string)
+msgid "Change Master Password"
+msgstr ""
+
+#: ../res/values/strings.xml:100(string)
+msgid "Use this to change the password you use to unlock OI Safe. Your data will be re-encrypted with the new password. The more complex your password is, the safer your data will be."
+msgstr ""
+
+#: ../res/values/strings.xml:101(string)
+msgid "Old password"
+msgstr ""
+
+#: ../res/values/strings.xml:102(string)
+msgid "New password"
+msgstr ""
+
+#: ../res/values/strings.xml:103(string)
+msgid "Verify password"
+msgstr ""
+
+#: ../res/values/strings.xml:104(string)
+msgid "New and Verify passwords do not match."
+msgstr ""
+
+#: ../res/values/strings.xml:105(string)
+msgid "Old password is invalid. Please try again."
+msgstr ""
+
+#: ../res/values/strings.xml:106(string)
+msgid "Error changing password"
+msgstr ""
+
+#: ../res/values/strings.xml:107(string)
+msgid "Master Password changed"
+msgstr ""
+
+#: ../res/values/strings.xml:108(string)
+msgid "Confirm"
+msgstr ""
+
+#: ../res/values/strings.xml:109(string)
+msgid "Password entries do not match."
+msgstr ""
+
+#: ../res/values/strings.xml:110(string)
+msgid "Backup"
+msgstr ""
+
+#: ../res/values/strings.xml:111(string)
+msgid "Backing up to"
+msgstr ""
+
+#: ../res/values/strings.xml:112(string)
+msgid "Complete. Passwords backed up:"
+msgstr ""
+
+#: ../res/values/strings.xml:113(string)
+msgid "Backup failed:"
+msgstr ""
+
+#: ../res/values/strings.xml:114(string)
+msgid "Restore"
+msgstr ""
+
+#: ../res/values/strings.xml:115(string)
+msgid "Filename"
+msgstr ""
+
+#: ../res/values/strings.xml:116(string)
+msgid "Backup file not found. You need to perform a backup first to create it. Or copy a backup from your PC."
+msgstr ""
+
+#: ../res/values/strings.xml:117(string)
+msgid "Please provide the password used by the backup file. Your master password will be set to this."
+msgstr ""
+
+#: ../res/values/strings.xml:118(string)
+msgid "Unable to open file:"
+msgstr ""
+
+#: ../res/values/strings.xml:119(string)
+msgid "Version not supported:"
+msgstr ""
+
+#: ../res/values/strings.xml:120(string)
+msgid "Restore error."
+msgstr ""
+
+#: ../res/values/strings.xml:121(string)
+msgid "Bad password."
+msgstr ""
+
+#: ../res/values/strings.xml:122(string)
+msgid "Restore Database"
+msgstr ""
+
+#: ../res/values/strings.xml:123(string)
+msgid "Are you sure you want to replace the current data?"
+msgstr ""
+
+#: ../res/values/strings.xml:124(string)
+msgid "Found %s passwords from backup dated %s."
+msgstr ""
+
+#: ../res/values/strings.xml:125(string)
+msgid "Complete. Passwords restored: %s"
+msgstr ""
+
+#: ../res/values/strings.xml:126(string)
+msgid "Copying Password to Clipboard"
+msgstr ""
+
+#: ../res/values/strings.xml:127(string)
+msgid "Invalid website"
+msgstr ""
+
+#: ../res/values/strings.xml:128(string)
+msgid "Open"
+msgstr ""
+
+#: ../res/values/strings.xml:129(string)
+msgid "Database Version Error"
+msgstr ""
+
+#: ../res/values/strings.xml:130(string)
+msgid "Sorry, but the version of the database is not supported. You must install the version associated with this database."
+msgstr ""
+
+#: ../res/values/strings.xml:131(string)
+msgid "Move"
+msgstr ""
+
+#: ../res/values/strings.xml:132(string)
+msgid "Select Category"
+msgstr ""
+
+#: ../res/values/strings.xml:133(string)
+msgid "Moved to"
+msgstr ""
+
+#: ../res/values/strings.xml:134(string)
+msgid "Settings"
+msgstr ""
+
+#: ../res/values/strings.xml:135(string)
+msgid "Allow external access"
+msgstr ""
+
+#: ../res/values/strings.xml:136(string)
+msgid "Allow other applications to secure your data with OI Safe"
+msgstr ""
+
+#: ../res/values/strings.xml:137(string)
+msgid "OI Safe: Another application requests access."
+msgstr ""
+
+#: ../res/values/strings.xml:138(string)
+msgid "Allow other applications to secure your data with OI Safe."
+msgstr ""
+
+#: ../res/values/strings.xml:139(string)
+msgid "This can also be set in OI Safe\\'s Menu / Preferences."
+msgstr ""
+
+#: ../res/values/strings.xml:140(string) ../res/values/strings.xml:142(string)
+msgid "Auto lock timeout"
+msgstr ""
+
+#: ../res/values/strings.xml:141(string)
+msgid "Minutes before timeout occurs and safe is locked"
+msgstr ""
+
+#: ../res/values/strings.xml:143(string)
+msgid "Keypad"
+msgstr ""
+
+#: ../res/values/strings.xml:144(string)
+msgid "Use a keypad to enter Master Password"
+msgstr ""
+
+#: ../res/values/strings.xml:145(string)
+msgid "Keypad Mute"
+msgstr ""
+
+#: ../res/values/strings.xml:146(string)
+msgid "Mute keypad sounds"
+msgstr ""
+
+#: ../res/values/strings.xml:147(string)
+msgid "Decrypt (OI Safe)"
+msgstr ""
+
+#: ../res/values/strings.xml:148(string)
+msgid "Encrypt (OI Safe)"
+msgstr ""
+
+#: ../res/values/strings.xml:149(string)
+msgid "Get password (OI Safe)"
+msgstr ""
+
+#: ../res/values/strings.xml:150(string)
+msgid "Set password (OI Safe)"
+msgstr ""
+
+#: ../res/values/strings.xml:151(string)
+msgid "Restart timer (OI Safe)"
+msgstr ""
+
+#: ../res/values/strings.xml:152(string)
+msgid "Open OI Safe"
+msgstr ""
+
+#: ../res/values/strings.xml:154(string)
+msgid "Continue"
+msgstr ""
+
+#: ../res/values/strings.xml:155(string)
+msgid "Password Length"
+msgstr ""
+
+#: ../res/values/strings.xml:156(string)
+msgid "Uppercase [A-Z]"
+msgstr ""
+
+#: ../res/values/strings.xml:157(string)
+msgid "Lowercase [a-z]"
+msgstr ""
+
+#: ../res/values/strings.xml:158(string)
+msgid "Numbers [0-9]"
+msgstr ""
+
+#: ../res/values/strings.xml:159(string)
+msgid "Symbols [!@#$%^\\*]"
+msgstr ""
+
+#: ../res/values/strings.xml:160(string)
+msgid "Copy to Current Entry"
+msgstr ""
+
+#: ../res/values/strings.xml:161(string)
+msgid "Copy to Clipboard"
+msgstr ""
+
+#: ../res/values/strings.xml:162(string) ../res/values/strings.xml:183(string)
+msgid "Cancel"
+msgstr ""
+
+#: ../res/values/strings.xml:163(string)
+msgid "Discard changes"
+msgstr ""
+
+#: ../res/values/strings.xml:164(string)
+msgid "Entry saved"
+msgstr ""
+
+#: ../res/values/strings.xml:165(string)
+msgid "Last edited"
+msgstr ""
+
+#: ../res/values/strings.xml:166(string)
+msgid "unknown"
+msgstr ""
+
+#: ../res/values/strings.xml:167(string)
+msgid "Crypto error:"
+msgstr ""
+
+#: ../res/values/strings.xml:168(string)
+msgid "Unique name"
+msgstr ""
+
+#: ../res/values/strings.xml:169(string)
+msgid "Package access"
+msgstr ""
+
+#: ../res/values/strings.xml:170(string)
+msgid "not found"
+msgstr ""
+
+#: ../res/values/strings.xml:171(string)
+msgid "New master key"
+msgstr ""
+
+#: ../res/values/strings.xml:172(string)
+msgid "A new random master key has been created. Use menu > backup and store this key in a safe place. Without this key you may lose encrypted data."
+msgstr ""
+
+#: ../res/values/strings.xml:173(string)
+msgid "Switch mode"
+msgstr ""
+
+#. EULA
+#: ../res/values/strings.xml:181(string)
+msgid "OI Safe EULA"
+msgstr ""
+
+#: ../res/values/strings.xml:182(string)
+msgid "Accept"
+msgstr ""
+
+#. Update
+#: ../res/values/strings.xml:186(string)
+msgid "Please check manually for updates or install OI Update for automatic notifications. Current version: %s"
+msgstr ""
+
+#: ../res/values/strings.xml:190(string)
+msgid "Check now."
+msgstr ""
+
+#: ../res/values/strings.xml:191(string)
+msgid "Get OI Updater."
+msgstr ""
+
+#: ../res/values/strings.xml:192(string)
+msgid "Download application not available."
+msgstr ""
+
+#: ../res/values/strings.xml:193(string)
+msgid "Check updates"
+msgstr ""
+
+#. About
+#: ../res/values/strings.xml:196(string)
+msgid "About"
+msgstr ""
+
+#: ../res/values/strings.xml:197(string)
+msgid "Version %s\\n\\nNo compatible extension available to display full info (contact, credits, license)."
+msgstr ""
+
+#: ../res/values/strings.xml:198(string)
+msgid "Get OI About"
+msgstr ""
+
+#. File Manager
+#: ../res/values/strings.xml:201(string)
+msgid "No compatible file manager is available."
+msgstr ""
+
+#: ../res/values/strings.xml:202(string)
+msgid "Get OI File Manager"
+msgstr ""
+
+#. OI Safe
+#: ../res/values/strings.xml:210(string)
+msgid "access the master password"
+msgstr ""
+
+#: ../res/values/strings.xml:211(string)
+msgid "Allows the application to access the master key used for encryption and decryption. Should never be used except by OI Safe."
+msgstr ""
+
+#: ../res/values/strings.xml:212(string)
+msgid "access stored password"
+msgstr ""
+
+#: ../res/values/strings.xml:213(string)
+msgid "Allows the application to encrypt and decrypt text, and access the passwords they have stored in OI Safe."
+msgstr ""
+
+#: ../res/values/strings.xml:220(item)
+msgid "1 minute"
+msgstr ""
+
+#: ../res/values/strings.xml:221(item)
+msgid "5 minutes"
+msgstr ""
+
+#: ../res/values/strings.xml:222(item)
+msgid "30 minutes"
+msgstr ""
+